<?php

/*
	VERSION 3.0.3
	EVO Mail Server configuration utility, works for both 2.0 and 3.0
	Authored Date: 2016-04-01

	ref global vars:
	global $product,$evoPathName,$evoPathUser,$evoLogonUser,$evoLogonEmail;
*/

	function evoB2Parts($sep,$src) {
		$arr = array();
		$xpos = strpos($src,$sep);
		if($xpos > 0) {
			$arr[0] = substr($src,0,$xpos);
			$arr[1] = substr($src,$xpos+1);
		}
		return $arr;
	}

	$evoAllDomainsMap   = array();
	$evoAllUsersMap     = array();
	$evoIPv4Map         = array();
	$evoLogonEmail      = "";
	$evoLogonUser       = "";
	$evoMailDomainsMap  = array();
	$evoPathName        = "";
	$evoPathUser        = "";
	$evoUniqueUsersList = array();
	$product            = "EVO Mail Server";
	$evoPsk_chpass      = "PiWHRneFQMCz"; // pre-shared key as token for chpass command
	$evoAccountsAPI     = "http://127.0.0.1/api/EvoAccountsAPI.php";

	if(isset($_SESSION['username'])) {
		$evoLogonUser = $_SESSION['username'];
		$evoLogonEmail = $_SESSION['username'];
	}

	if(isset($_SESSION['username'])) {
		$items              = explode("@",$_SESSION['username']);
		if(count($items) == 2)
			$evoLogonUser   = $items[0];
	}
	// requires php.ini variables_order = "EGPCS"
	if(strstr($_ENV['ALLUSERSPROFILE'],"Documents and Settings") == FALSE)
		$evoPathName = $_ENV['ALLUSERSPROFILE'] . "\\EvoMailServer";
	else
		$evoPathName = $_ENV['ALLUSERSPROFILE'] . "\\Application Data\\EvoMailServer";
	$evoDataPathINI = $evoPathName . "\\datapath.ini";
	if(file_exists($evoDataPathINI)) {
		$contents = file($evoDataPathINI,FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
		$items = explode("=",$contents[0]);
		if($items[0] == "DATA_PATH" && $items[1] != "")
			$evoPathName = $items[1]; // changed
	}

	$evoHostDump = $evoPathName . "\\HOSTS\\DEFAULT\\TEMP\\hostdump.ini"; // 3.0
	$evoPathUser = $evoPathName . "\\HOSTS\\DEFAULT\\USERS\\" . $evoLogonUser . "\\info.ini";	// 2.0
	$evoPathOutb = $evoPathName . "\\HOSTS\\DEFAULT\\OUTBOX";
	$evoPathCard = $evoPathName . "\\HOSTS\\DEFAULT\\CARD";
	$evoPathFile = $evoPathName . "\\HOSTS\\DEFAULT\\FILE";
	$evoPathCfg  = $evoPathName . "\\CONFIGS\\config.ini";

	if(file_exists($evoHostDump)) {
		foreach(file($evoHostDump,FILE_IGNORE_NEW_LINES) as $line) {
			$a = "";
			$b = "";
			$line = trim($line);
			$key  = substr($line,0,6);
			$val  = substr($line,6);
			if($key == "USERS=") {
				$ares = evoB2Parts("*",$val);
				if(count($ares) == 2)
				{
					$a = $ares[0];
					$b = $ares[1];
				}
				if($a != "" && $b != "") {
					$evoAllUsersMap[$a] = $b;
				}
			}
			else if($key == "UNIQU=") {
				$ares = evoB2Parts("*",$val);
				if(count($ares) == 2)
				{
					$a = $ares[0];
					$b = $ares[1];
				}
				if($b != "") {
					$evoUniqueUsersList[$a] = $b;
				}
				else if($val != "") {
					$evoUniqueUsersList[$val] = "";
				}
			}
			else if($key == "AHOST=") {
				$ares = evoB2Parts("*",$val);
				if(count($ares) == 2)
				{
					$a = $ares[0];
					$b = $ares[1];
				}
				if($a != "" && $b != "") {
					$evoAllDomainsMap[$a] = $b;
				}
			}
			else if($key == "OHOST=") {
				$ares = evoB2Parts("*",$val);
				if(count($ares) == 2)
				{
					$a = $ares[0];
					$b = $ares[1];
				}
				if($a != "" && $b != "") {
					$evoMailDomainsMap[$a] = $b;
				}
			}
			else if($key == "AIPV4=") {
				if($val != "") {
					$evoIPv4Map[$val] = "";
				}
			}
		}
		if(isset($evoLogonEmail) && $evoLogonEmail != "") {
			$phpusr = strtolower($evoLogonEmail);
		  if(isset($evoAllUsersMap[$phpusr]))
		  	$evoPathUser = $evoAllUsersMap[$phpusr];
		  else if(isset($evoUniqueUsersList[$evoLogonUser])) {
		  	$uINI = $evoUniqueUsersList[$evoLogonUser];
		  	if($uINI == "")
		  		$evoPathUser = $evoPathName . "\\HOSTS\\DEFAULT\\USERS\\" . $evoLogonUser . "\\info.ini";
		  	else
		  		$evoPathUser = $uINI;
		  }
		}
	}
?>