SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

CREATE TABLE IF NOT EXISTS `files` (
		`rid` int(11) NOT NULL auto_increment,
		`rootRid` int(11) default NULL COMMENT 'source rid of updated versions',
		`createrId` varchar(64) collate utf8_unicode_ci default NULL COMMENT 'file''s creater id',
		`createTime` datetime NOT NULL COMMENT 'file''s creation time',
		`onlineTime` datetime default NULL COMMENT 'show file after this date time',
		`offlineTime` datetime default NULL COMMENT 'show file before this date time',
		`ownerId` varchar(64) collate utf8_unicode_ci default NULL COMMENT 'who owns this file now',
		`ownerDept` varchar(64) collate utf8_unicode_ci default NULL COMMENT 'which department owns this file now',
		`ownerDomain` varchar(255) collate utf8_unicode_ci default NULL COMMENT 'which domain owns this files now',
		`ownerMode` int(11) default '0' COMMENT '0:temp 1:private 2:department 3:domain 10: public (for outside users)',
		`size` bigint(20) default '0',
		`path` text collate utf8_unicode_ci NOT NULL COMMENT '/: root',
		`displayName` varchar(255) collate utf8_unicode_ci NOT NULL COMMENT 'filename',
		`physicalName` varchar(255) collate utf8_unicode_ci NOT NULL,
		`description` text collate utf8_unicode_ci,
		`accessKey` varchar(32) collate utf8_unicode_ci default '',
		PRIMARY KEY  (`rid`)
		) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `location_records` (
  `rid` int(11) NOT NULL auto_increment,
  `t_timestamp` bigint(20) NOT NULL,
  `n_latitude` float NOT NULL,
  `n_longitude` float NOT NULL,
  `t_username` varchar(64) collate utf8_unicode_ci NOT NULL,
  `t_domain` varchar(255) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (`rid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `user_status` (
  `rid` int(11) NOT NULL auto_increment,
  `t_timestamp` bigint(20) NOT NULL,
  `n_status` int(11) NOT NULL COMMENT 'user''s activity',
  `t_username` varchar(64) collate utf8_unicode_ci NOT NULL,
  `t_domain` varchar(255) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (`rid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `log_records` (
  `rid` int(11) NOT NULL auto_increment,
  `t_timestamp` bigint(20) NOT NULL,
  `t_op1` varchar(64) collate utf8_unicode_ci default NULL,
  `t_op2` text collate utf8_unicode_ci,
  `t_var1` text collate utf8_unicode_ci,
  `t_var2` text collate utf8_unicode_ci,
  `t_username` varchar(64) collate utf8_unicode_ci NOT NULL,
  `t_domain` varchar(255) collate utf8_unicode_ci default NULL,
  PRIMARY KEY  (`rid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;