<?php

/**
 * Evo Mail Server Password Driver for Roundcube change password plugin
 *
 * Driver to change passwords of Evo Mail Server user accounts.
 *
 * @version 2.0.0
 * @author EVO software production http://www.evomailserver.com/
 * revision history
 *
 * 1.0.2 supports windows xp and windows server 2003
 * 1.0.3 supports EVO Mail Server 3.00+
 * 2.0.0 supports RoundCube 1.5.3 (not compatible with prior versions)
 */

function format_error_result($code, $line) {
  if(preg_match('/^\d\d\d\s+(\S.*)\s*$/', $line, $matches))
      return array('code' => $code, 'message' => $matches[1]);
  else
      return $code;
}

function file_put_content($filename, $data) {
   $f = @fopen($filename, 'w');
   if (!$f) {
       return false;
   } else {
       $bytes = fwrite($f, $data);
       fclose($f);
       return $bytes;
   }
}

class rcube_EvoMailServer_password
{
	public function save($curpass,$passwd,$username)
	{
		if(file_exists("..\\EvoConfigLib.php"))
			include "..\\EvoConfigLib.php";
		else
			include "C:\\EvoServ\\Apache2\\htdocs\\EvoConfigLib.php";

		if(!file_exists($evoPathName))
			return format_error_result(PASSWORD_CONNECT_ERROR,$product . " is not installed.");
		if(!file_exists($evoPathUser))
			return format_error_result(PASSWORD_CONNECT_ERROR,"No such user in (" . $evoPathUser . ") " . $product .".");
		$newPassword = $passwd;
		$contents = file($evoPathUser,FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
		$newUserINI = "";
		if(count($contents) > 0) {
			$passReplaced = 0;
			for($x = 0;$x < count($contents);$x++)
			{
				$contents[$x] = trim($contents[$x]);
				$items = explode("=",$contents[$x]);
				if(count($items) >= 2) {
					if($items[0] == "PASSWORDSHADOW") { // skip this line
						if($passReplaced == 0) {
							$passReplaced = 1;
							$newUserINI = $newUserINI . "PASSWORD=" . $newPassword . "\r\n";
						}
					}
					else if($items[0] == "PASSWORD") {
						if($passReplaced == 0) {
							$passReplaced = 1;
							$newUserINI = $newUserINI . "PASSWORD=" . $newPassword . "\r\n";
						}
					}
					else {
						$newUserINI = $newUserINI . $contents[$x] . "\r\n";
					}
				}
				else
				{
					$newUserINI = $newUserINI . $contents[$x] . "\r\n";
				}
			}
			if(file_put_content($evoPathUser,$newUserINI) > 0)
				return PASSWORD_SUCCESS;
			else
				return format_error_result(PASSWORD_ERROR,"Could not lock user password file, try again.");
		}
		else
			return format_error_result(PASSWORD_ERROR,"Error opening user password file.");
	}
}